Bug 1000523 - cql and gossip ports should be read-only
cql and gossip ports should be read-only
Status: NEW
Product: RHQ Project
Classification: Other
Component: Configuration, Storage Node (Show other bugs)
4.9
x86_64 Linux
high Severity high (vote)
: ---
: RHQ 4.13
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks: 1122074
  Show dependency treegraph
 
Reported: 2013-08-23 10:55 EDT by Armine Hovsepyan
Modified: 2015-09-02 20:03 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1122074 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Armine Hovsepyan 2013-08-23 10:55:52 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. run rhqctl install
2. go to rhq storage node resource under inventory in gui
3. edit connection settings  - change Native Transport Port from 9142 to 9146 (or some other value)
4. uninventory rhq storage 
5. Restart rhq-storage


Actual results:
result 1:
RHQ storage is lost and server cannot start correctly
result 2: 
rhq storage is auto-inventoried back but stays not available

Expected results:
for 4.9 (from developers) cql and gossip ports should be non-editable


Additional info:
Comment 1 Heiko W. Rupp 2014-05-08 10:42:40 EDT
Bump the target version now that 4.11 is out.
Comment 2 Jay Shaughnessy 2014-07-07 13:06:49 EDT
Bumping forward to 4.13

Note You need to log in before you can comment on or make changes to this bug.